import { IWS, IHTTP, ILocalStorage } from '../interfaces';
/**
 * @namespace Nativescript
 * @author Miguel Serrano
 * @description This namespace will provide adapters for the
 * SDK to work in a Nativescript environment,
 */
export declare namespace Nativescript {
    /**
     * @class WebSocket
     * @author Miguel Serrano
     * @description This class is used when the SDK is running in a
     * Nativescript Environment.
     */
    class WebSocket implements IWS {
        client: any;
        connect(url: string): void;
        on(name: string, callback: any): void;
        send(something: string): void;
        open(callback: any): void;
        close(): void;
        removeAllListeners(): void;
    }
    /**
     * @class HTTP
     * @author Miguel Serrano
     * @description This class is used when the SDK is running in a
     * Nativescript Environment.
     */
    class HTTP implements IHTTP {
        get(url: string): Promise<object>;
    }
    /**
     * @class LocalStorage
     * @author Miguel Serrano
     * @description This class is used when the SDK is running in a
     * Nativescript Environment.
     */
    class LocalStorage implements ILocalStorage {
        setItem(key: string, value: string): void;
        getItem(key: string): string | null;
        removeItem(key: string): void;
        clear(): void;
    }
}
