import { IWS, ILocalStorage } from '../interfaces';
import { IHTTP } from '..';
/**
 * @namespace Browser
 * @author Jonathan Casarrubias
 * @description This namespace will provide adapters for
 * the SDK to work in Browser environments.
 */
export declare namespace Browser {
    /**
     * @class WebSocket
     * @author Jonathan Casarrubias
     * @description This class is used when the SDK is running in a
     * Browser Environment.
     */
    class WebSocket implements IWS {
        client: any;
        connect(url: string): void;
        on(name: string, callback: any): void;
        send(something: string): void;
        open(callback: any): void;
        close(): void;
        removeAllListeners(): void;
    }
    /**
     * @class HTTP
     * @author Jonathan Casarrubias
     * @description This class is used when the SDK is running in a
     * Browser Environment.
     */
    class HTTP implements IHTTP {
        get(url: string): Promise<object>;
    }
    /**
     * @class LocalStorage
     * @author Jonathan Casarrubias
     * @description This class is used when the SDK is running in a
     * Browser Environment.
     */
    class LocalStorage implements ILocalStorage {
        setItem(key: string, value: string): void;
        getItem(key: string): string | null;
        removeItem(key: string): void;
        clear(): void;
    }
}
