"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @class Interceptors
 * @description This class will statically contain
 * interceptors, it won't be exposed to final developers
 * but it will be internally used.
 */
class Interceptors {
}
exports.Interceptors = Interceptors;
/**
 * @class Interceptor
 * @author Jonathan Casarrubias
 * @license MIT
 * @description This class will register
 * interception methods that will be executed before
 * and after every RPC or STREAM call
 */
class Interceptor {
    /**
     * @method before
     * @param handler
     * @description register a handler that will be executed
     * before every RPC or STREAM Call.
     */
    static before(handler) {
        Interceptors.before = handler;
    }
    /**
     * @method after
     * @param handler
     * @description register a handler that will be executed
     * after every RPC or STREAM Call.
     */
    static after(handler) {
        Interceptors.after = handler;
    }
}
exports.Interceptor = Interceptor;
//# sourceMappingURL=interceptor.js.map