import { ComponentReference } from './component.reference';
import { Subscription } from './subscription';
/**
 * @class ModuleReference
 * @author Jonathan Casarrubias
 * @license MIT
 */
export declare class MethodReference {
    name: string;
    componentReference: ComponentReference;
    /**
     * @constructor
     * @param name
     * @param componentReference
     */
    constructor(name: string, componentReference: ComponentReference);
    /**
     * @method call
     * @param payload
     * @description This method will call for RPC endpoints. It will send an application operation
     * to the OnixJS Service HOST.
     */
    call(payload: any, filter?: any): Promise<any>;
    /**
     * @method stream
     * @param listener
     * @param filter
     * @description This method will register a stream, which will be populated as the server keeps
     * sending chunks of information.
     */
    stream(listener: (stream: any) => void, filter?: any): Promise<Subscription>;
    private invalid(type);
    private endpoint();
}
