import { IAppOperation, IAppRefConfig } from '..';
/**
 * @class Unsubscribe
 * @author Jonathan Casarrubias
 * @license MIT
 * @description This class will provide a way
 * to unsubscribe a stream from the server.
 */
export declare class Unsubscribe {
    private id;
    private operation;
    private config;
    /**
     * @constructor
     * @param id
     * @param operation
     * @param config
     * @description This constructor will require the id
     * of the listener to be unsubscribed, the original operation
     * sent to the server in order to request the server to unsubscribe
     * and finally the app config so we can use the listeners database
     * and websocket client to finalize these listeners.
     */
    constructor(id: number, operation: IAppOperation, config: IAppRefConfig);
    /**
     * @method unsubscribe
     * @description This async method will resolve once the server
     * successfully unsubscribes the client from the configured
     * stream operation.
     */
    unsubscribe(): Promise<{}>;
}
